Comment compiler le module fglrx du driver ATI propriétaire sur un noyau 2.6.15 sur une debian unstable ?

  • Sur site ati.com récupérer le driver 8.21.7 pour linux
  • Extraire tous les fichiers de l'installeur : sh ati-driver-installer-8.21.7-i386.run --extract
  • Patcher les sources :

Couper kdm

/etc/init.d/kdm stop

wget http://www.ksp.sk/~rasto/fglrx_with_2.6.15.patch

cd fglrx-install/common/lib/modules/fglrx/build_mod/

patch -p1 < /root/fglrx_with_2.6.15.patch

Revenir à la base :

cd /root/fglrx-install

./ati-installer.sh 1 --install

Répondre oui à tout..

Relancer kdm

/etc/init.d/kdm start

Tester la 3D ?

3ddesk

Et voilà :)

Merci à François Valenduc pour son aide